<mat-card class="mpa-card">
  <!-- HEADER -->
  <mat-card-header class="mpa-card-header">
    <mat-card-title class="mpa-card-title">
      <ng-container *ngIf="this.dataItemOfThisComponent.type === NodeType.EXPERIMENT">
      Experiment: {{this.dataItemOfThisComponent.displayName}}
      </ng-container>
      <ng-container *ngIf="this.dataItemOfThisComponent.type === NodeType.COMPARISON">
        Comparison: {{this.dataItemOfThisComponent.displayName}}
        </ng-container>
      <!-- name-edit -->
      <button mat-button class="mpa-card-title-name-button" (click)="onSetName()">(edit)</button>
    </mat-card-title>
    <!-- button-row -->
    <div class="mpa-card-header-buttons">
      <button mat-raised-button color="warn" matTooltip="Delete experiment" class="square-button" (click)='onRemoveExperiment()'>
        <mat-icon>close</mat-icon>
      </button>
    </div>
  </mat-card-header>

  <!-- CONTENT -->
  <mat-card-content class="mpa-card-content">
    <mat-tab-group mat-align-tabs="center" [(selectedIndex)]="this.selectedTab">

      <!-- TAB 1: -->
      <mat-tab label="Overview">
        <ng-container *ngIf="!this.isComparison()">
          <app-experiment-table [datStats]="datStats" [dataItemOfThisComponent]="dataItemOfThisComponent"></app-experiment-table>
        </ng-container>

        <ng-container *ngIf="this.isComparison()">
          <app-comparison-table [datStats]="datStats" [dataItemOfThisComponent]="dataItemOfThisComponent"></app-comparison-table>
        </ng-container>

        <!-- FILEUPLOAD AND PROTEINGROUP-REQUEST -->
        <div *ngIf="this.hasStatusData()">
          <div class="divider-line" style="width:100%;"> Proteingroup-Request Parameters</div>
          <ng-container *ngIf="this.dataItemOfThisComponent.type === NodeType.EXPERIMENT">
            <app-protein-request (submitWithTargetFdr)="submitWithTargetFdr($event)" [currentTargetFDR]="this.dataItemOfThisComponent.experiment.targetFDR"></app-protein-request>
          </ng-container>
          <ng-container *ngIf="this.dataItemOfThisComponent.type === NodeType.COMPARISON">
            <app-protein-request (submitWithTargetFdr)="submitWithTargetFdr($event)" [currentTargetFDR]="this.dataItemOfThisComponent.comparison.targetFDR"></app-protein-request>
          </ng-container>
        </div>
        <!-- FILE UPLOAD -->
         <!-- FILE UPLOAD EXPERIMENT -->
        <ng-container *ngIf="!this.isComparison()">
        <ng-container *ngIf="!this.hasStatusFiles()">
            <app-file-upload [parentDataItem]="dataItemOfThisComponent"></app-file-upload>
        </ng-container>
        </ng-container>
        <!-- COMPAIRSON EXPERIMENT SELECTION-->
        <ng-container *ngIf="this.isComparison()">
            <ng-container *ngIf="!this.hasStatusFiles()">
              <app-experiment-selection [parentDataItem]="dataItemOfThisComponent"></app-experiment-selection>
            </ng-container>
          </ng-container>

          <ng-container *ngIf="this.hasStatusData()">
            <div class="divider-line" style="width:100%;">Extra Options</div>
            <div class="button-wrapper">
            <button mat-raised-button color="accent" (click)="downloadProteinGroups()">Protein Groups</button>
            <button mat-raised-button color="accent"  (click)="downloadFastaProphane()">Prophane FASTA</button>
            <button mat-raised-button color="accent"  (click)="downloadReportProphane()">Prophane Report</button>
            <button mat-raised-button color="accent"  (click)="downloadMGF()">Peaklist MGF</button>
            <button mat-raised-button color="accent" [disabled]="true" (click)="downloadMZML()">Spectra MZML</button>
          </div>
          </ng-container>
      </mat-tab>

      <!-- TAB 2: PROTEINTABLE -->
      <mat-tab label="Protein Groups" [disabled]="!this.hasStatusData() || !this.hasMpaData">
        <ng-template matTabContent>
          <ng-container *ngIf="hasMpaData">
              <app-protein-group-table class="mpa-table"></app-protein-group-table>
          </ng-container>
          <ng-container *ngTemplateOutlet="proteinRequest"></ng-container>
        </ng-template>
      </mat-tab>

      <!-- TAB 3: TAXONOMY -->
      <mat-tab label="Taxonomy" [disabled]="!this.hasStatusData() || !this.hasMpaData">
        <ng-template matTabContent>
          <ng-container *ngTemplateOutlet="proteinRequest"></ng-container>
          <ng-container *ngIf="this.hasMpaData">
            <app-taxonomy-tab></app-taxonomy-tab>
          </ng-container>
        </ng-template>
      </mat-tab>

      <!-- TAB 4: KEYWORDS -->
      <mat-tab label="Keywords" [disabled]="!this.hasStatusData() || !this.hasMpaData">
        <ng-template matTabContent>
          <ng-container *ngTemplateOutlet="proteinRequest"></ng-container>
          <ng-container *ngIf="this.hasMpaData">
            <app-keywords-tab></app-keywords-tab>
          </ng-container>
        </ng-template>
      </mat-tab>

      <!-- TAB 5: FUNCTION -->
      <!-- <mat-tab label="Function" [disabled]="!this.hasStatusData() || this.protReqStatus === PGRequestStatus.UNINITIATED || !this.hasMpaData"> -->
      <mat-tab label="Function" [disabled]="!this.hasStatusData() || !this.hasMpaData">
        <ng-template matTabContent>
          <ng-container *ngTemplateOutlet="proteinRequest"></ng-container>
          <ng-container *ngIf="this.hasMpaData">
            <app-function-tab></app-function-tab>
          </ng-container>
        </ng-template>
      </mat-tab>
    </mat-tab-group>

  </mat-card-content>
</mat-card>

<ng-template #proteinRequest>
  <!-- <ng-container>
    <div class="tab-default-content">
    <span>no data requested yet</span>
    <app-protein-request (submitWithTargetFdr)="submitWithTargetFdr($event)" [currentTargetFDR]="this.dataItemOfThisComponent.experiment.targetFDR"></app-protein-request>
    </div>
  </ng-container>
  <ng-container>
    <div class="tab-default-content">
    <mat-spinner></mat-spinner>
    </div>
  </ng-container>
  <ng-container>
    <div class="tab-default-content">
    <span>Something went wrong! Try again.</span>
    <app-protein-request (submitWithTargetFdr)="submitWithTargetFdr($event)" [currentTargetFDR]="this.dataItemOfThisComponent.experiment.targetFDR"></app-protein-request>
    </div>
  </ng-container> -->
</ng-template>
